html,body
{
    height: 100%;
    width: 100%;
    margin: 0px;
    padding: 0px;
    overflow-x: hidden; 
}

.form-container {
    position: absolute; 
    left: 4%;
    top: 86.2%;
    width: 100%; /* Take full width */
    padding: 20px; /* Add padding for better appearance */
}

.form-container input {
    display: block;
    height: 5.5vh;
    left: 25%;
    font-weight: bold;
    color: grey;
    font-size: 10px;
    width: 90%;
    padding: 20px;
    border: 1.5px solid grey;
    border-radius: 5px;
    box-sizing: border-box;
    margin: 2vh 0;
    resize: vertical;
    background: transparent;
}

.form-container input:focus {
   outline: 2px solid #60C782;
}
/* submit */
#btn {
    background-image: url(../image/tombol/submit_btn.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    border: none;
    margin: 6% 0 0 14%;
    width: 60%;
    height: 8vh;
    animation: pulse 0.8s infinite;
    animation-timing-function: linear;
}
/* footer */
.footer {
    position: sticky;
    bottom: 0;
    width: 100%;
    z-index: 1000;
}
/* icons */
.whatsapp
{
    top: 12%;
    left: 56%;
}
#whatsapp{
    width: 40%;
    max-width: 599px;
}
.telegram
{
    top: 12%;
    left: 66%;
}
#telegram{
    width: 40%;
    max-width: 599px;
}
.line
{
    top: 12%;
    left:76%;
}
#line{
    width: 40%;
    max-width: 599px;
}

@media (max-width: 1025px) {
    .form-container {
        left: 4%;
        top: 86.5%;
    }
    
    .form-container input {
        height: 20vh;
        left: 25%;
        font-size: 32px; 
        width: 90%; 
        margin: 7vh 0;
    }
    
    .whatsapp
    {
        top: 12%;
    }
    #whatsapp{
        width: 40%;
    }
    .telegram
    {
        top: 12%;
    }
    #telegram{
        width: 40%;
    }
    .line
    {
        top: 12%;
    }
    #line{
        width: 40%;
    }

}

@media (max-width: 913px) {
    .form-container {
        left: 4%;
        top: 86.5%;
    }
    
    .form-container input {
        height: 8vh;
        left: 25%;
        font-size: 30px; 
        width: 90%; 
        margin: 2.5vh 0;
    }
    
    .whatsapp
    {
        top: 20%;
    }
    #whatsapp{
        width: 75%;
    }
    .telegram
    {
        top: 20%;
    }
    #telegram{
        width: 75%;
    }
    .line
    {
        top: 20%;
    }
    #line{
        width: 75%;
    }

}

@media (max-width: 821px) {
    .form-container {
        left: 4%;
        top: 86.5%;
    }
    
    .form-container input {
        height: 15vh;
        left: 25%;
        font-size: 40px; 
        width: 90%; 
        margin: 4vh 0;
    }
    
    .whatsapp
    {
        top: 12%;
    }
    #whatsapp{
        width: 40%;
    }
    .telegram
    {
        top: 12%;
    }
    #telegram{
        width: 40%;
    }
    .line
    {
        top: 12%;
    }
    #line{
        width: 40%;
    }

}

/* Small devices (mobile, 767px and below) */
@media (max-width: 769px) {
    .form-container {
        left: 4%;
        top: 86.5%;
    }
    
    .form-container input {
        height: 9vh;
        left: 25%;
        font-size: 20px; 
        width: 90%; 
        margin: 2vh 0;
    }
    
    .whatsapp
    {
        top: 17%;
    }
    #whatsapp{
        width: 70%;
    }
    .telegram
    {
        top: 17%;
    }
    #telegram{
        width: 70%;
    }
    .line
    {
        top: 17%;
    }
    #line{
        width: 70%;
    }

}

/* Small devices (mobile, 425px and below) */
@media (max-width: 580px) {
    .form-container {
        left: 4%;
        top: 86.2%;
    }
    
    .form-container input {
        height: 5vh;
        left: 25%;
        font-size: 12px; 
        width: 90%; 
        margin: 1.8vh 0;
    }
    
    .whatsapp
    {
        top: 15%;
    }
    #whatsapp{
        width: 40%;
    }
    .telegram
    {
        top: 15%;
    }
    #telegram{
        width: 40%;
    }
    .line
    {
        top: 15%;
    }
    #line{
        width: 40%;
    }

 
    
    
 
}

/* Small devices (mobile, 374px and below) */
@media (max-width: 376px) {
    .form-container {
        left: 4%;
        top: 86.2%;
    }
    
    .form-container input {
        height: 5.5vh;
        left: 25%;
        font-size: 10px; 
        width: 90%; 
        margin: 2vh 0;
    }
    .whatsapp
    {
        top: 12%;
    }
    #whatsapp{
        width: 40%;
    }
    .telegram
    {
        top: 12%;
    }
    #telegram{
        width: 40%;
    }
    .line
    {
        top: 12%;
    }
    #line{
        width: 40%;
    }


    
}

/* Small devices (mobile, 374px and below) */
@media (max-width: 361px) {
    .form-container {
        left: 4%;
        top: 86.2%;
    }
    
    .form-container input {
        height: 5vh;
        left: 25%;
        font-size: 10px; 
        width: 90%; 
        margin: 1.5vh 0;
    }
    
    .whatsapp
    {
        top: 15%;
    }
    #whatsapp{
        width: 35%;
    }
    .telegram
    {
        top: 15%;
    }
    #telegram{
        width: 35%;
    }
    .line
    {
        top: 15%;
    }
    #line{
        width: 35%;
    }

    
}


/* Small devices (mobile, 374px and below) */
@media (max-width: 320px) {
    .form-container {
        left: 4%;
        top: 86.2%;
    }
    
    .form-container input {
        height: 2vh;
        left: 25%;
        font-size: 10px; 
        width: 90%; 
        margin: 0.8vh 0;
    }
    
    .whatsapp
    {
        top: 10%;
    }
    #whatsapp{
        width: 25%;
    }
    .telegram
    {
        top: 10%;
    }
    #telegram{
        width: 25%;
    }
    .line
    {
        top: 10%;
    }
    #line{
        width: 25%;
    }

    
}
